import request from '@/utils/request';
import { download } from '@/utils/file';
/**
 * 获取信息列表
 */
export async function getReceiveTableList(params) {
  const res = await request.get(`/eom/purchaseorderreceive/page`, { params });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 获取信息详情
 */
export async function getReceiveSaleOrderrecordDetail(id) {
  const res = await request.get(`/eom/purchaseorderreceive/getById/${id}`, {});
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 更新信息
 */
export async function UpdateReceiveInformation(data) {
  const res = await request.put(`/eom/purchaseorderreceive/update`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 新增信息
 */
export async function addReceiveInformation(data) {
  const res = await request.post(`/eom/purchaseorderreceive/save`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 删除
 */
export async function deleteReceiveInformation(data) {
  const res = await request.delete('/eom/purchaseorderreceive/delete', { data });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

/**
 * 提交
 */
export async function submit(data) {
  const res = await request.post(`/bpm/purchaseReceiveApprove/submit`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}



// /**
//  * 通过销售发货获取发货清单
//  */
// export async function getProductListByRecordId(recordId) {
//     const res = await request.get(`/eom/purchaseorderreceive/getProductListByRecordId/${recordId}`, {});
//     if (res.data.code == 0) {
//       return res.data.data;
//     }
//     return Promise.reject(new Error(res.data.message));
//   }